Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Browse topics grouped by source

Get topics grouped by source connector for the SQL Studio tree sidebar.

GET/topics/catalog/grouped
Authorization
AuthorizationBearer token · headerrequired
Query parameters
searchstring | any

Partial topic name search

source_idstring | any

Filter to a single source/producer ID

Responses
200

Successful Response

groupsKafkaTopicCatalogGroup[]
Show properties
Array of KafkaTopicCatalogGroup
group_idstringrequired

Producer entity ID (or 'dlq' for DLQ group)

group_namestringrequired

Display name for the group

group_typestringrequired

Producer type: sources, destinations, transforms, dlq, manual

connectorstring | any

Connector type (postgresql, snowflake, etc.)

Show properties
Any of:
string
string
any
any
topic_countinteger
default: 0
topicsKafkaTopicCatalogGroupTopic[]
Show properties
Array of KafkaTopicCatalogGroupTopic
topic_idstringrequired

Full Kafka topic name

short_namestringrequired

Display name with source prefix stripped (e.g., public.users)

partition_countinteger
default: 0
value_formatSerializationFormatEnum

Human-readable serialization format names for API responses.

Allowed:avrojsonjson_schemaprotobufstringbytearrayunknown
is_dlqboolean

Whether this is a dead letter queue topic

default: false
total_topicsinteger
default: 0
total_groupsinteger
default: 0
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "https://api.streamkap.com/topics/catalog/grouped" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "groups": [
    {
      "group_id": "string",
      "group_name": "string",
      "group_type": "string",
      "connector": "string",
      "topic_count": 0,
      "topics": [
        {
          "topic_id": "string",
          "short_name": "string",
          "partition_count": 0,
          "value_format": "avro",
          "is_dlq": false
        }
      ]
    }
  ],
  "total_topics": 0,
  "total_groups": 0
}